import 'package:mmoo_base_video/entity/toys_message.dart';

toysMessageFromJson(ToysMessage data, Map<String, dynamic> json) {
	if (json['clockWise'] != null) {
		data.clockWise = json['clockWise'];
	}
	if (json['vibrate'] != null) {
		data.vibrate = json['vibrate'] is String
				? int.tryParse(json['vibrate'])
				: json['vibrate'].toInt();
	}
	if (json['rotate'] != null) {
		data.rotate = json['rotate'] is String
				? int.tryParse(json['rotate'])
				: json['rotate'].toInt();
	}
	if (json['preset'] != null) {
		data.preset = json['preset'] is String
				? int.tryParse(json['preset'])
				: json['preset'].toInt();
	}
	if (json['connection'] != null) {
		data.connection = json['connection'];
	}
	return data;
}

Map<String, dynamic> toysMessageToJson(ToysMessage entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['clockWise'] = entity.clockWise;
	data['vibrate'] = entity.vibrate;
	data['rotate'] = entity.rotate;
	data['preset'] = entity.preset;
	data['connection'] = entity.connection;
	return data;
}