import 'package:mmoo_base_video/entity/gift_message.dart';

giftMessageContentFromJson(GiftMessageContent data, Map<String, dynamic> json) {
	if (json['giftId'] != null) {
		data.giftId = json['giftId'].toString();
	}
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['pic'] != null) {
		data.pic = json['pic'].toString();
	}
	if (json['url'] != null) {
		data.url = json['url'].toString();
	}
	if (json['price'] != null) {
		data.price = json['price'].toString();
	}
	if (json['lottie'] != null) {
		data.lottie = json['lottie'].toString();
	}
	return data;
}

Map<String, dynamic> giftMessageContentToJson(GiftMessageContent entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['giftId'] = entity.giftId;
	data['name'] = entity.name;
	data['pic'] = entity.pic;
	data['url'] = entity.url;
	data['price'] = entity.price;
	data['lottie'] = entity.lottie;
	return data;
}